\documentclass[a4paper,10pt]{article}
\usepackage{latexsym}
\usepackage{amsmath}
\usepackage{amssymb}
\usepackage{bm}
\usepackage{graphicx}
\usepackage{wrapfig}
\usepackage{fancybox}
\pagestyle{plain}

\begin{document}

{\it Characteristics} of {\it the} $M/M/1/N$ queue {\it controlled} b{\it y AQM algorithms}

933

and hence, finally,
\begin{center}
$\hat{\pi}_{k}= \displaystyle \frac{\rho^{k}\prod_{i=0}^{k-1}(1-d_{i})}{1+\sum_{j=1}^{N}\rho^{j}\prod_{i=0}^{j-1}(1-d_{i})}, k=0$, 1, . . . , $N$.   (6)
\end{center}
Let us note that (6) is equivalent to (2) if $d_{i}\equiv 0.$

3.2. Group arrivals

Now let us consider the case of packets entering in groups. Denoting by $\Pi_{k}^{W}$ and $\Pi_{k}^{P}$ the steady-state queue-size probabilities with respect to the strategies WBAS and PBAS respectively, we can write down the following systems of equlibrium equations in the ``ordinary'' system:

$\left\{\begin{array}{l}
\lambda\Pi_{0}^{W}\sum_{i=1}^{N}p_{i}\ =\ \mu\Pi_{1}^{W},\\
(\lambda\sum_{i=1}^{N-k}p_{i}+\mu)\Pi_{k}^{W}\ =\ \lambda\sum_{i=0}^{k-1}\Pi_{i}^{W}p_{k-i}+\mu\Pi_{k+1}^{W},\\
\mu\Pi_{N}^{W}\ =\ \lambda\sum_{i=0}^{N-1}\Pi_{i}^{W}p_{N-i}
\end{array}\right.$

$k=1$, . . . , $N-1$, (7)

and

$\left\{\begin{array}{l}
\lambda\Pi_{0}^{P}\ =\ \mu\Pi_{1}^{P},\\
(\lambda+\mu)\Pi_{k}^{P}\ =\ \lambda\sum_{i=0}^{k-1}\Pi_{i}^{P}p_{k-i}+\mu\Pi_{k+1}^{P},\ k=1,\ .\ .\ .\ ,\ N-1,\\
\mu\Pi_{N}^{P}\ =\ \lambda\ (\sum_{i=N}^{\infty}p_{i}\Pi_{0}^{P}+\sum_{i=N-1}^{\infty}p_{i}\Pi_{1}^{P}+.\ .\ .\ +\sum_{i=1}^{\infty}p_{i}\Pi_{N-1}^{P})\ .
\end{array}\right.$

(8)

Now, let us introduce a drop function $d_{k}$ to the model. Assume that each packet in the arriving group which can be joined to the queue, has the same probability of dropping and is dropped independently on the other packets in the same batch. First, let us consider the WBAS strategy. It is obvious that the queue size in the system at fixed moment $t$ can be described by a continuous-time Markov chain with the state space $\{0,\ 1,\ .\ .\ .\ ,\ N\}$. It is easy to check that for $0\leq k<l\leq N-1$ we have
\begin{center}
$\displaystyle \hat{q}_{k,l}^{W}\ =\lambda(1-d_{k})^{l-k}(p_{l-k}+\sum_{i=l-k+1}^{N-k}p_{i}\left(\begin{array}{ll}
i & \\
l- & k
\end{array}\right)d_{k}^{i-(l-k)})$ ,   (9)
\end{center}
where $\hat{q}_{k,l}^{W}$ denotes bhe intensity of transition from state $k$ to $l$. Besides we have
\begin{center}
$\hat{q}_{k,N}^{W}=\lambda(1-d_{k})^{N-k}p_{N-k},\ 0\leq k\leq N-1$.   (10)
\end{center}
Hence we can find stationary probabilities $\Pi_{k}^{W}^{\wedge}$ in the case of WBAS from the fol- lowing system of equatibns:

$\left\{\begin{array}{l}
\Pi_{0}^{W}\sum_{i=1}^{N}\hat{q}_{0,i}^{W}\wedge\ =\ \mu\Pi_{1}^{W}^{\wedge},\\
(\sum_{i=k+1}^{N}\hat{q}_{k,i^{+\mu)\Pi_{k}^{W}}}^{W^{\wedge}}\ =\ \sum_{i=0}k-1_{\Pi_{i}^{WW}}^{\wedge}\hat{q_{i,k}}+\mu\Pi_{k+1}^{W}^{\wedge},\\
\mu\Pi_{N}^{W}^{\wedge}\ =\ \sum_{i=0}^{N-1_{\Pi_{i}^{W}}^{\wedge}}\hat{q_{i,N}}^{W}.
\end{array}\right.$

$k=1$, . . . , $N-1$, (11)
\end{document}
